Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228471 - Review Request: hunspell-ee - Estonian hunspell dictionaries
Summary: Review Request: hunspell-ee - Estonian hunspell dictionaries
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 09:39 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 10:26:02 UTC
wolfy: fedora-review+
notting: fedora-cvs+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 09:39:21 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-ee.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-ee-0.20030602-1.src.rpm
Description: Estonian hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-13 10:59:52 UTC
- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
4289cdd695eba079aceed471954f0adfc8059ffa  et_EE.aff
712f4651ae2a82bea216cad78b144d182ad1c06f  et_EE.dic
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 2 text files)
- the license LGPL stated in the tag is the same as upstream's web site
(http://www.meso.ee/~jjpp/speller/,Litsents ) says; the actual license is not
included in the final rpm because upstream does not supply an actual "release"
but just the two dictionary files
- there are only 2 files (word lists) so no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent on src.rpm; binary gives the following warning:
W: hunspell-ee no-documentation
which is consistent with the fact that there is nothing in the rpm but the two
dictionary files
- code, not content
- no need for .desktop file 

APPROVED

Obs: please bug upstream to include the LGPL license in case they release the
dictionary as a single file (tar/zip/whatever); it would also be a good idea if
their dict files would be available at
http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/

Comment 2 Caolan McNamara 2007-02-14 10:26:02 UTC
 27546 (hunspell-ee): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.